Package com.mckoi.database.jdbc

## Class AsciiReader

- java.lang.Object
- - java.io.Reader
  - - com.mckoi.database.jdbc.AsciiReader

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`, `java.lang.Readable`

    public final class AsciiReader
    extends java.io.Reader

A java.io.Reader implementation that wraps around an ascii input stream (8-bit per char stream).

Author:
  Tobias Downer

### Field Summary

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
`AsciiReader​(java.io.InputStream input)` Constructs the reader.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `mark​(int readAheadLimit)`
`int` `read()`
`int` `read​(char[] buf, int off, int len)`
`boolean` `ready()`
`void` `reset()`
`long` `skip​(long n)`

### Methods inherited from class java.io.Reader

`markSupported, nullReader, read, read, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsciiReader

    public AsciiReader​(java.io.InputStream input)

Constructs the reader.

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### read

    public int read​(char[] buf,
                    int off,
                    int len)
             throws java.io.IOException

Specified by:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### skip

    public long skip​(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### ready

    public boolean ready()
                  throws java.io.IOException

Overrides:
  `ready` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### mark

    public void mark​(int readAheadLimit)
              throws java.io.IOException

Overrides:
  `mark` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### reset

    public void reset()
               throws java.io.IOException

Overrides:
  `reset` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in class `java.io.Reader`
Throws:
  `java.io.IOException`